
#include "sssd.h"
#include "internals.h"


/*
    Stop currently playing background stream.
*/

void sssd_stopBackground( struct sssdaudio* ga )
{
    if( audioValid( ga ) )
    {
        LOCK_BUFFERS_NP(ga);

        if( ga->background_stream != NULL )
        {
            pclose( ga->background_stream );
            ga->background_stream = NULL;
            ga->background_stream_bytes = 0;
        }

        UNLOCK_BUFFERS_NP(ga);
    }
}


