
#include "sssd.h"
#include "internals.h"

/*
   Free cached samples
   
*/

void sssd_freeSamples( struct sssdaudio* ga ) {
    int i;
    struct ga_sample *sample;
    
    /* Unload samples from memory */
    for( i = 0; i < ga->num_samples; i++ ) {
        sample = &ga->samples[i];
        if ((sample->flags & gaIS_DYNAMIC) == 0) {
            free(sample->data);
        }
        sample->flags = sample->numsamples = 0;
        sample->data = sample->dataendmarker = NULL;
    }
    ga->num_samples = 0;

    return;
}
